
import { request } from 'umi';

export async function GetGoodsBom(data) {
  return request(`/kitchen/api/goodes/GetGoodsBomPage`, {
    method: 'Post',
    data: data,
  });
}
export async function getbompage (data) {
  return request(`/kitchen/api/bom/getpage`, {
    method: 'Post',
    data: data,
  });
}

export async function GetCosRequestURL(data) {
  return request(`/kitchen/api/systemconfig/GetCosRequestSignURL`, {
   method: 'POST',
   data: data,
 });
}

export async function AddBomApi (data) {
  return request(`/kitchen/api/GoodsBom/AddBom`, {
    method: 'Post',
    data: data,
    // params: { ...params },
    // ...(options || {}),
  });
}

export async function DelGoodsBom (data) {
  return request(`/kitchen/api/goodes/DelGoodsBom?Id=${data}`, {
    method: 'DELETE',
    //data: data,
  });
}


export async function unitList(data) {
  return request(`/kitchen/api/goods-unit/type`, {
    method: 'Post',
    data: data,
  });
}